Servers - Bug #2003

[autobuilder] new 'your-freedom' package creation fails
2018-09-23 08:40 PM - bill-auger

Status: not-a-bug % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

freemor added an entry to the blacklist today and pushed it to git
a new 'your-freedom' package is available on x86_64 but there is not on i686

the new 'your-freedom’ package on x86_64 shows the new entry in /usr/share/doc/blacklist.txt; but it is not in the 'Conflicts' array
according to pacman

Related issues:
Related to Servers - Bug #1949: [makepkg]: syntax error in progress

History

#1 - 2018-09-23 09:38 PM - bill-auger

- Subject changed from [autobuilder] new 'your-freedom' package creation failed to [autobuilder] new 'your-freedom' package creation fails

i found the shell script (apparently unused) ~autobuilder/.local/bin/autobuild.sh beside the binary that the git hook runs - for troubleshooting, i
temporarily commented the “exit” when there are no new commits, and got the following syntax errors running it:

/usr/share/makepkg/util/pkgbuild.sh: eval: line 90: unexpected EOF while looking for matching *)'
/usr/share/makepkg/util/pkgbuild.sh: eval: line 91: syntax error: unexpected end of file

that refers to this code:

# this function requires extglob - save current status to restore later
local shellopts=$ (shopt -p extglob)
shopt -s extglob

while read -r; do
# strip leading whitespace and any usage of declare
decl=S${REPLY##* ([[:space:]])}
eval "${decl/#Sattr/Soutputvar}"

# entering this loop at all means we found a match, so notify the caller.
r=0
done < <(grep_function "$funcname" "Sattr_regex")

eval "$shellopts"
otherwise it continued normally but that same error was shown again multiple times

in the end, it fails anyways just after (otherwise successfully) building the package in the librechroot

| ==> Leaving fakeroot environment.
| ==> Finished making: your-freedom 20180923.1-1 (Sun 23 Sep 2018 09:35:44 PM GMT)
==> Starting post-build activities...
==> Extracting database to a temporary location...
==> Adding package 'your-freedom-20180923.1-1-any.pkg.tar.xz'
—> Computing checksums...

—> Creating 'files' db entry...
==> Creating updated database file 'repo.db.tar.gz'
> Copying log and package files out of the chroot...
==> Found package: your-freedom-20180923.1-1-any.pkg.tar.xz
==> ERROR: PACKAGER was not set when building package

I
|
|
| -> Creating 'desc' db entry...
|
|

==> ERROR: An unknown error has occurred. Exiting...
User defined signal 1

#2 - 2018-09-27 12:21 AM - lukeshu

- Assignee set to lukeshu

| think multiple things are wrong.

Right before the quoted error message, it "should" have also said

remote:
remote:
remote:
remote:
remote:

—-> Updating abslibre git repo...
Fetching origin

fatal: unable to look up git.parabola.nu (port 9418) (Name or service not known)

error: Could not fetch origin
==> WARNING: Failure while updating abslibre git repo

Which will later cause

remote:
remote:
remote:
remote:
remote:
remote:
remote:
remote:
remote:
remote:

To ssh://git.parabola.nu:1863/~git/abslibre/abslibre.git
! [rejected] master -> master (fetch first)

error: failed to push some refs to 'ssh://git@git.parabola.nu:1863/~git/abslibre/abslibre.git'
hint: Updates were rejected because the remote contains work that you do

hint: not have locally. This is usually caused by another repository pushing

hint: to the same ref. You may want to first integrate the remote changes

hint: (e.g., 'git pull ...') before pushing again.
hint: See the 'Note about fast-forwards' in 'git push --help'

==> ERROR: An unknown error has occurred. Exiting...

Obviously, git.parabola.nu resolves as talking to it is used later. | don't know what's going on.

Depending on when | get home later tonight, I'll either look in to it either tonight or tomorrow.

#3 - 2018-09-28 02:19 AM - lukeshu

- % Done changed from 0 to 100

- Status changed from open to fixed

Should be fixed?

#4 - 2018-09-28 02:19 AM - lukeshu

- Status changed from fixed to info needed

for details.

| don't really know what was wrong, so let's leave this open until we get verifications that things are working ok.

#5 - 2019-02-11 04:47 AM - bill-auger

- Related to Bug #1949: [makepkg]: syntax error added

#6 - 2019-02-11 04:47 AM - bill-auger

this particular failure may have been a fluke due to user error - the syntax error in pkgbuild.sh has its own BR #1949

#7 - 2019-02-13 01:47 PM - bill-auger

- Status changed from info needed to not-a-bug
https://labs.parabola.nu/issues/1949
http://www.tcpdf.org

